import spidev


class Mcp():
    def __init__(self, bus=0, device=0):
        self.spi = spidev.SpiDev()
        self.spi.open(bus, device)
        self.spi.max_speed_hz = 10 ** 5

    def read_channel(self, ch):
        bytes_in = self.spi.xfer2([1, (8 + ch) << 4, 0])
        data = ((bytes_in[1] & 3) << 8) | bytes_in[2]
        print(data)
        return data


    def close(self):
        self.spi.close()

