import time

import Adafruit_GPIO.SPI as SPI
import Adafruit_SSD1306

from PIL import Image, ImageDraw, ImageFont
from subprocess import check_output

ip1 = ""
ip2 = ""


ips = check_output(['hostname', '--all-ip-addresses']).decode(encoding='utf-8')
print(ips)
ips = ips.split()
print(ips)
ip1 = ips[0]
print(ip1)
ip2 = ips[1]
print(ip2)

RST = 24
disp = Adafruit_SSD1306.SSD1306_128_32(rst=RST)

disp.begin()
disp.clear()
disp.display()
width = 128
height = 32
image = Image.new('1', (width, height))

draw = ImageDraw.Draw(image)

padding = 2
top = padding
x= padding

font = ImageFont.load_default()

draw.text((x, top), ip2 , font= font, fill=255)
#draw.text((x, top+20), ip2 , font= font, fill=255)

disp.image(image)
disp.display()

