// #region Algemeen
//const IP = prompt('geef publiek IP', 'http://127.0.0.1:5000');
const IP = window.location.host + ":5000";
const socket = io.connect(IP);
console.log(IP);

//inlezen sensoren
const sensoren = function() {
  //Buiten
  socket.emit("buitentemp");
  socket.on("buitentemperatuur", callbackBuiten);

  //Binnen
  socket.emit("binnentemp_vochtigheid");
  socket.on("binnentemperatuur", callbackBinnen);

  //Vochtigheid
  socket.on("luchtvochtigheid", callbackVocht);
};

const callbackBuiten = function(dataBuiten) {
  console.log(dataBuiten);
  const waardeBuitenTemp = document.querySelector(".Buiten");
  if (waardeBuitenTemp != null) {
    waardeBuitenTemp.innerHTML = `${dataBuiten}ºC`;
  }
};

const callbackBinnen = function(dataBinnen) {
  const waardeBinnenTemp = document.querySelector(".Binnen");
  if (waardeBinnenTemp != null) {
    waardeBinnenTemp.innerHTML = `${dataBinnen}ºC`;
  }
  console.log(dataBinnen);
};

const callbackVocht = function(dataVocht) {
  const waardeVocht = document.querySelector(".Vocht");
  if (waardeVocht != null) {
    waardeVocht.innerHTML = `${dataVocht}%`;
  }
  console.log(dataVocht);
};

document.addEventListener("DOMContentLoaded", function() {
  console.info("DOM geladen");
  init();
});

const init = function() {
  socket.on("connected", function() {
    console.log("Connected");
  });

  sensoren();
};
// #endregion
